Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl
Class WriterRendererContext

    java.lang.Object
      org.jboss.portal.theme.render.RendererContext
          org.jboss.portal.theme.impl.WriterRendererContext

    public class WriterRendererContext

extends RendererContext

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`WriterRendererContext(ThemeContext themeContext, RendererFactory rendererFactory, org.jboss.portal.web.ServletContextDispatcher dispatcher, org.jboss.portal.common.util.MarkupInfo markupInfo, java.io.PrintWriter writer)`

Method Summary
`java.io.PrintWriter` | `getWriter()`
`void` | `render(ObjectRendererContext ctx)`

Methods inherited from class org.jboss.portal.theme.render.RendererContext
`getAttribute, getCharset, getDispatcher, getMarkupInfo, getMediaType, getProperty, getProperty, getThemeContext, popObjectRenderContext, pushObjectRenderContext, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriterRendererContext

    public WriterRendererContext(ThemeContext themeContext,
                                 RendererFactory rendererFactory,
                                 org.jboss.portal.web.ServletContextDispatcher dispatcher,
                                 org.jboss.portal.common.util.MarkupInfo markupInfo,
                                 java.io.PrintWriter writer)

Method Detail

### getWriter

    public java.io.PrintWriter getWriter()

  Specified by:
    `getWriter` in class `RendererContext`

### render

    public void render(ObjectRendererContext ctx)
                throws RenderException,
                       java.lang.IllegalStateException

  Overrides:
    `render` in class `RendererContext`
  Throws:
    `RenderException`
    `java.lang.IllegalStateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD